#!/bin/bash
#
#Change the home
cd $HOME/fidonet
#
# set Husky environment
FIDOCONFIG=$HOME/fidonet/config/config; export FIDOCONFIG
FLAGSDIR=$HOME/fidonet/flags; export FLAGSDIR
#
# Check if there's another tosser in action
#
if [ -e ${FLAGSDIR}/hpttossing ]
then
  exit 1
else
  touch ${FLAGSDIR}/hpttossing
#
# Start the tosser
#
  hpt toss link
fi
#
# Start File processor
if [ -e ${FLAGSDIR}/tick ] && [ ! -e ${FLAGSDIR}/ticktoss ]
then
  touch ${FLAGSDIR}/ticktoss
  htick toss
  rm ${FLAGSDIR}/tick
  rm ${FLAGSDIR}/ticktoss
fi
#
rm ${FLAGSDIR}/hpttossing
exit
